{
"investmentAmount": 100000,
"currency": "NGN",
"redirectUrl": "https://app.getequity.io/callback",
"paymentMethod": "card"
}
{
"investmentAmount": 100000,
"currency": "NGN",
"paymentMethod": "bank_transfer"
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentLink": "https://checkout-v2.dev-flutterwave.com/v3/hosted/pay/550b3feb5a259d265c29",
"reference": "GETXN_FI_LW6PEBET78XW72",
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "682b2f367732900002613bfc",
"symbol": "OPAS2",
"name": "Ojaja Pan African LTD Series 2 Commercial Paper",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentMethod": "bank_transfer",
"reference": "GETXN_FI_SJ74KB44TGXUAB",
"virtualAccount": {
"bankName": "Wema Bank",
"accountNumber": "TRP1420081"
},
"amountToPay": 103428,
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "683ef69f70457700022e091b",
"symbol": "FDNE",
"name": "FCMB Debt Note",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
Members
Fund and Invest
Initiates a fund-and-invest transaction for a member. This creates a payment link that the member can use to fund their wallet and invest in a token in a single flow.
POST
api
/
members
/
{id}
/
token
/
{tokenId}
/
fund-invest
{
"investmentAmount": 100000,
"currency": "NGN",
"redirectUrl": "https://app.getequity.io/callback",
"paymentMethod": "card"
}
{
"investmentAmount": 100000,
"currency": "NGN",
"paymentMethod": "bank_transfer"
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentLink": "https://checkout-v2.dev-flutterwave.com/v3/hosted/pay/550b3feb5a259d265c29",
"reference": "GETXN_FI_LW6PEBET78XW72",
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "682b2f367732900002613bfc",
"symbol": "OPAS2",
"name": "Ojaja Pan African LTD Series 2 Commercial Paper",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentMethod": "bank_transfer",
"reference": "GETXN_FI_SJ74KB44TGXUAB",
"virtualAccount": {
"bankName": "Wema Bank",
"accountNumber": "TRP1420081"
},
"amountToPay": 103428,
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "683ef69f70457700022e091b",
"symbol": "FDNE",
"name": "FCMB Debt Note",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
URL to redirect after payment completion. Required when
paymentMethod is card. Not needed for bank_transfer.Preferred payment method. Supported values:
card, bank_transfer. When bank_transfer is used, virtual account details are returned instead of a payment link.{
"investmentAmount": 100000,
"currency": "NGN",
"redirectUrl": "https://app.getequity.io/callback",
"paymentMethod": "card"
}
{
"investmentAmount": 100000,
"currency": "NGN",
"paymentMethod": "bank_transfer"
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentLink": "https://checkout-v2.dev-flutterwave.com/v3/hosted/pay/550b3feb5a259d265c29",
"reference": "GETXN_FI_LW6PEBET78XW72",
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "682b2f367732900002613bfc",
"symbol": "OPAS2",
"name": "Ojaja Pan African LTD Series 2 Commercial Paper",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
{
"status": "success",
"message": "Payment initiated successfully. Complete payment to invest.",
"data": {
"paymentMethod": "bank_transfer",
"reference": "GETXN_FI_SJ74KB44TGXUAB",
"virtualAccount": {
"bankName": "Wema Bank",
"accountNumber": "TRP1420081"
},
"amountToPay": 103428,
"investmentAmount": 100000,
"currency": "NGN",
"token": {
"_id": "683ef69f70457700022e091b",
"symbol": "FDNE",
"name": "FCMB Debt Note",
"price": 10000
},
"tokensToCredit": 10,
"fees": {
"getequity": 2000,
"getequityPercent": 2,
"flutterwave": 1428,
"total": 3428
},
"totalCharge": 103428
}
}
After the payment
The buyer comes back to yourredirectUrl with the outcome appended as query parameters:
?status=successful&tx_ref=GETXN_FI_2M094EW4MJSOC5&transaction_id=10459445
?status=cancelled&tx_ref=GETXN_FI_KGBW0Y3O2W2GNN
status as a hint, not a fact — it travels through the browser. Take the tx_ref and
call GET api/transactions/{reference} to
find out what really happened, and whether the investment has been placed yet.
Error Codes
| Code | HTTP Status | Description |
|---|---|---|
| TOKEN_ACCESS_DENIED_ERROR | 403 | User doesn’t have access to this token |
| DEAL_ACCESS_DENIED_ERROR | 403 | User doesn’t have access to this deal |
| TOKEN_CLOSED_ERROR | 400 | Token is closed for investment |
| TOKEN_EXITED_ERROR | 400 | Token has exited |
| AMOUNT_TOO_LOW_ERROR | 400 | Investment amount is below minimum |
| BELOW_MIN_TRADE_ERROR | 400 | Amount below minimum trade limit |
| ABOVE_MAX_TRADE_ERROR | 400 | Amount above maximum trade limit |
| INVALID_AMOUNT_ERROR | 400 | Invalid investment amount |
| PAYMENT_INITIATION_ERROR | 502 | Failed to initiate payment with provider |
| TOKEN_NOT_FOUND_ERROR | 404 | Token not found |
Was this page helpful?
